diff -cNr ivtools-0.6.orig/src/include/InterViews/font.h ivtools-0.6/src/include/InterViews/font.h
*** ivtools-0.6.orig/src/include/InterViews/font.h	Fri Feb 28 08:42:03 1997
--- ivtools-0.6/src/include/InterViews/font.h	Wed Jan 28 20:32:10 1998
***************
*** 41,46 ****
--- 41,49 ----
  class FontImpl;
  class FontRep;
  class String;
+ #ifdef JIV
+ class CompositeFont;
+ #endif /* JIV */
  
  /*
   * FontFamily - manages related fonts
***************
*** 122,134 ****
--- 125,150 ----
  
      virtual int index(const char*, int, float offset, boolean between) const;
  
+ #ifdef JIV
+     boolean isComposite() const;
+     const CompositeFont* getCompositeFont() const;
+ #endif /* JIV */
+ 
      FontRep* rep(Display*) const;
+ #ifdef JIV
+     FontRep* rep2byte(Display*) const;
+ #endif /* JIV */
  protected:
      Font(FontImpl*);
  private:
      friend class FontImpl;
  
      FontImpl* impl_;
+ #ifdef JIV
+     FontImpl* impl2byte_;
+     boolean isCompositeFlag;
+     const CompositeFont* cfont;
+ #endif /* JIV */
  
      /* anachronisms */
  public:
***************
*** 140,145 ****
--- 156,248 ----
      int Width(const char*) const;
      int Width(const char*, int) const;
  };
+ #ifdef JIV
+ inline boolean Font::isComposite() const {return isCompositeFlag;}
+ inline const CompositeFont* Font::getCompositeFont() const {
+     return cfont;
+ }
+ 
+ class CompositeFont {
+   public:
+     CompositeFont(const char*, const char*, const char*,
+ 		  const char* = 0);
+     ~CompositeFont();
+ 
+     static const CompositeFont* findCompositeFont(const char*);
+ 
+     const char* getFontName() const;
+     const char* get1ByteFontName() const;
+     const char* get2ByteFontName() const;
+ 
+     boolean displayBold() const;
+     boolean displayItalic() const;
+ 
+   private:
+     char* compositeFontName;
+     char* fontName1;
+     char* fontName2;
+     boolean displayBoldFlag;
+     boolean displayItalicFlag;
+ };
+ 
+ inline const char* CompositeFont::getFontName() const {
+     return compositeFontName;
+ }
+ 
+ inline const char* CompositeFont::get1ByteFontName() const {
+     return fontName1;
+ }
+ 
+ inline const char* CompositeFont::get2ByteFontName() const {
+     return fontName2;
+ }
+ 
+ inline boolean CompositeFont::displayBold() const {
+     return displayBoldFlag;
+ }
+ 
+ inline boolean CompositeFont::displayItalic() const {
+     return displayItalicFlag;
+ }
+ 
+ class PSCompositeFontRep;
+ 
+ class PSCompositeFont {
+   public:
+     PSCompositeFont(const char*, const char*, const char*);
+     ~PSCompositeFont();
+ 
+     static const PSCompositeFont* findFont(const char*);
+     static const char* getPreamble();
+     static void setPreamble(const char*);
+ 
+     const char* getFontName() const;
+     const char* getAsciiFontName() const;
+     const char* getKanjiFontName() const;
+ 
+   private:
+     PSCompositeFontRep*	rep_;
+ };
+ 
+ class PSSlantFontRep;
+ 
+ class PSSlantFont {
+   public:
+     PSSlantFont(const char*, const char*);
+     ~PSSlantFont();
+ 
+     static PSSlantFont* findFont(const char*);
+     static void resetPrintFlag();
+ 
+     const char* getFontName() const;
+     const char* getOriginalFontName() const;
+     boolean printFlag();
+     void printFlag(boolean);
+ 
+   private:
+     PSSlantFontRep*	rep_;
+ };
+ #endif JIV
  
  #include <InterViews/_leave.h>
  
diff -cNr ivtools-0.6.orig/src/include/InterViews/kinput.h ivtools-0.6/src/include/InterViews/kinput.h
*** ivtools-0.6.orig/src/include/InterViews/kinput.h	Thu Jan  1 09:00:00 1970
--- ivtools-0.6/src/include/InterViews/kinput.h	Wed Jan 28 20:32:10 1998
***************
*** 0 ****
--- 1,65 ----
+ /*
+  * Copyright (c) 1991, 1992 Fujitsu Oita Software Laboratory Limited
+  *
+  * Permission to use, copy, modify, and distribute this software and its
+  * documentation for any purpose is hereby granted without fee, provided
+  * that the above copyright notice and this permission notice appear in
+  * all copies of the software and related documentation, and the name of
+  * Fujitsu Oita Software Laboratory may not be used in any advertising or
+  * publicity relating to the software without specific, prior written
+  * prior permission of Fujitsu Oita Software Laboratory. 
+  * 
+  * THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, 
+  * EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY 
+  * WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.  
+  *
+  * IN NO EVENT SHALL FUJITSU OITA SOFTWARE LABORATORY BE LIABLE FOR ANY
+  * SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND, OR
+  * ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+  * WHETHER OR NOT ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY
+  * OF LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
+  * PERFORMANCE OF THIS SOFTWARE.
+  *
+  * Author:  Toshihisa Eto, Fujitsu Oita Software Laboratory Limited, Japan
+  * 	E-Mail: eto@ai.cs.fujitsu.co.jp
+  * 	Nifty:	HBG02665
+  */
+ 
+ #ifdef JIV
+ 
+ class KinputRep;
+ class Window;
+ class Font;
+ 
+ class Kinput {
+   public:
+     // Instance handling method
+     Kinput(Window*);
+     ~Kinput();
+ 
+     // method for communicate with kinput
+     void BeginConversion();
+     void BeginConversion(int, int);
+     void EndConversion();
+ 
+     // method for kinput event handling
+     boolean IsKinputEvent(const Event& ev);
+     boolean Handle(Event& ev);
+ 
+     // get result string
+     const char* GetConvertedString();
+ 
+     // set property for over-the-spot conversion (not implemented yet)
+     void	SetFont(Font*);
+     void	SetColor(const char*);
+     void	SetConversionSpot(int, int);
+ 
+ 
+     // Public method for search current status
+     boolean IsActive();
+ 
+   private:
+     KinputRep*	rep;
+ };
+ 
+ #endif	/* JIV */
diff -cNr ivtools-0.6.orig/src/include/InterViews/style.h ivtools-0.6/src/include/InterViews/style.h
*** ivtools-0.6.orig/src/include/InterViews/style.h	Fri Feb 28 08:42:04 1997
--- ivtools-0.6/src/include/InterViews/style.h	Wed Jan 28 20:32:10 1998
***************
*** 92,97 ****
--- 92,101 ----
      boolean find_attribute(const char* name, Coord&) const;
      boolean value_is_on(const String& name) const;
      boolean value_is_on(const char* name) const;
+ 
+ #ifdef JIV
+     virtual void initCompositeFont() const;
+ #endif /* JIV */
  private:
      friend class StyleRep;
  
diff -cNr ivtools-0.6.orig/src/include/Unidraw/Components/psview.h ivtools-0.6/src/include/Unidraw/Components/psview.h
*** ivtools-0.6.orig/src/include/Unidraw/Components/psview.h	Fri Feb 28 08:42:08 1997
--- ivtools-0.6/src/include/Unidraw/Components/psview.h	Wed Jan 28 20:32:10 1998
***************
*** 71,77 ****
--- 71,83 ----
      virtual void GetBox(Coord&, Coord&, Coord&, Coord&);
      virtual void GetGridSpacing(float&, float&);
  
+ #ifdef JIV
+     virtual void CmpFontProcs(ostream&);
+ #endif /* JIV */
      virtual void ConstProcs(ostream&);
+ #ifdef PS_FIX
+     virtual void IdrawDictPreamble(ostream&);
+ #endif
      virtual void BeginProc(ostream&);
      virtual void EndProc(ostream&);
  
***************
*** 111,116 ****
--- 117,127 ----
  protected:
      UList* _fonts;
  };
+ 
+ #ifdef PS_FIX
+ inline void PostScriptView::IdrawDictPreamble(ostream&) {
+ }
+ #endif
  
  class PostScriptViews : public PostScriptView {
  public:
diff -cNr ivtools-0.6.orig/src/include/Unidraw/manips.h ivtools-0.6/src/include/Unidraw/manips.h
*** ivtools-0.6.orig/src/include/Unidraw/manips.h	Fri Feb 28 08:42:10 1997
--- ivtools-0.6/src/include/Unidraw/manips.h	Wed Jan 28 22:35:23 1998
***************
*** 47,52 ****
--- 47,56 ----
  class TextDisplay;
  class Transformer;
  class UList;
+ #ifdef JIV
+ class Kinput;
+ class KinputHandler;
+ #endif /* JIV */
  
  class ManipGroup : public Manipulator {
  public:
***************
*** 232,237 ****
--- 236,247 ----
  
      boolean Contains(Coord, Coord);
      int Locate(Coord, Coord);
+ 
+ #ifdef JIV
+     void BeginConversion();
+     void SetConversionSpot();
+ #endif /* JIV */
+ 
  protected:
      void Init(
          Viewer*, Painter*, Coord, Coord, Tool*, boolean,const char* =nil,int =0
***************
*** 256,261 ****
--- 266,275 ----
      int _bufsize;
      int _dot, _mark;
      Event _grasp_e;
+ #ifdef JIV
+     Kinput* kinput;
+     KinputHandler* khandler;
+ #endif /* JIV */
  };
  
  inline int TextManip::Dot () { return _dot; }
